import math
n, m, k = map(int, input().split())
# Вычислите количество фонарей по длине и ширине
num_lamps_length = math.ceil(m / k)
num_lamps_width = math.ceil(n / k)
# Вычислите общее количество фонарей
total_lamps = num_lamps_length * num_lamps_width
print(total_lamps)





